Zum Inhalt springen
API-Referenz
API-Referenz

Einen API-Schlüssel abrufen

Einen Standard-API-Schlüssel und seine aktuelle Nutzungszusammenfassung abrufen.

Einen Standard-API-Schlüssel und seine aktuelle Nutzungszusammenfassung abrufen.

Endpunkt

GET /api/v1/keys/:id
Basis-URL
https://runapi.ai
API-Version
v1
Authentifizierung
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
Autorisierung
Erfordert einen Management-API-Schlüssel mit Kontoadministrator-Rechten und erlaubt nur Schlüssel, die dem eigenen Benutzer gehören.
02

Anfrage

JSON-Body

Werte nur am angegebenen Anfrage-Speicherort senden.

Pfadparameter1 Feld
idstring
Erforderlich

Präfix-ID des API-Schlüssels, zum Beispiel token_123.

03

Erfolgsantwort

HTTP 200

GET /api/v1/keys/:id

JSON
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_limit_windows": {
    "1d": {
      "limit_cents": 500
    },
    "1h": {
      "limit_cents": 100
    },
    "7d": {
      "limit_cents": 2000
    }
  },
  "credit_usage_cents_by_model": {
    "gpt-5.4": 250
  },
  "credit_usage_cents_this_month": 250,
  "credit_usage_cents_this_week": 100,
  "credit_usage_cents_today": 25,
  "credit_usage_cents_total": 250,
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production"
}
04

Fehlerantwort (401)

HTTP 401
Antwort-Schema
JSON
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Antwortbeispiel

JSON
{
  "error": "Authentication required"
}
05

Fehlerantwort (403)

HTTP 403
Antwort-Schema
JSON
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Antwortbeispiel

JSON
{
  "error": "Management API key required"
}
06

Fehlerantwort (403)

HTTP 403
Antwort-Schema
JSON
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Antwortbeispiel

JSON
{
  "error": "Account admin required"
}
07

Fehlerantwort (404)

HTTP 404
Antwort-Schema
JSON
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Antwortbeispiel

JSON
{
  "error": "Resource not found"
}
08

cURL-Beispiel

CURL
curl -X GET https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'